#include <iostream>
using namespace std;

int main() {
    int n, k;
    cin>>n>>k;
    int karta[n];
    for(int i=0; i<=n; i++)
    {
        cin>>karta[i];
    }
     for(int i=0; i<=n; i++)
    {
        if(k==karta[i])
        {
            if(i==n-1)
            {
                cout<<karta[0];
            }
            else
            {
                cout<<karta[i+1];
            }
        }
    }
	// your code goes here
	return 0;
}